#!/usr/bin/env python3
# -*- coding: utf-8 -*-
import cvxpy as cp
import numpy as np


C = np.zeros([3,3])
C[0,1] = 1
C[0,2] = -1
C[2,0] = -1
C[1,0] = 1

A1 = np.zeros([3,3])
A1[0,0] = 1

A2 = np.zeros([3,3])
A2[0,2] = 1
A2[1,1] = 1
A2[2,0] = 1

t = cp.Variable(1)
s = cp.Variable(1)
# The operator >> denotes matrix inequality.
constraints = [C+t*A1+A2*s >> 0]

prob = cp.Problem(cp.Maximize(-s),constraints)
prob.solve(verbose=True)